#!/usr/bin/env python3

#****************************************************************************
# optiondefaults.py, provides defaults for program options
#
# rpCalc, an RPN calculator
# Copyright (C) 2014, Douglas W. Bell
#
# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License, either Version 2 or any later
# version.  This program is distributed in the hope that it will be useful,
# but WITTHOUT ANY WARRANTY.  See the included LICENSE file for details.
#*****************************************************************************

defaultList = [\
    "# Options for the rpCalc program",
    "#",
    "# Colors for extra views:",
    "UseDefaultColors    yes",
    "# If UseDefaultColors is no, use:",
    "BackgroundR         255",
    "BackgroundG         255",
    "BackgroundB         255",
    "ForegroundR         0",
    "ForegroundG         0",
    "ForegroundB         0",
    "#",
    "# The following options are set from within the program,",
    "# editing here is not recommended",
    "NumDecimalPlaces    4",
    "ThousandsSeparator  no",
    "ForceSciNotation    no",
    "UseEngNotation      no",
    "TrimExponents       no",
    "HideLcdHighlight    no",
    "AngleUnit           deg",
    "SaveStacks          yes",
    "ExtraViewStartup    no",
    "AltBaseStartup      no",
    "MaxHistLength       100",
    "ViewRegisters       no",
    "AltBaseBits         32",
    "UseTwosComplement   no",
    "#",
    "# Storage for persistant data",
    "Stack0              0.0",
    "Stack1              0.0",
    "Stack2              0.0",
    "Stack3              0.0",
    "Mem0                0.0",
    "Mem1                0.0",
    "Mem2                0.0",
    "Mem3                0.0",
    "Mem4                0.0",
    "Mem5                0.0",
    "Mem6                0.0",
    "Mem7                0.0",
    "Mem8                0.0",
    "Mem9                0.0",
    "#",
    "MainDlgXSize        0",
    "MainDlgYSize        0",
    "MainDlgXPos         0",
    "MainDlgYPos         0",
    "ExtraViewXSize      0",
    "ExtraViewYSize      0",
    "ExtraViewXPos       0",
    "ExtraViewYPos       0",
    "AltBaseXPos         0",
    "AltBaseYPos         0"]
